using System;
using System.Collections.Generic;

namespace ConsoleApp18
{
	class Program
	{
		static void Main()
		{
			int n = int.Parse(Console.ReadLine());
			if (n <= 26)
			{
				Console.WriteLine("0");
			}
			else if (n <= 27)
			{
				Console.WriteLine("1");
			}
		}
	}
}